Bug 1449147 - mutt: switch to libidn2
Summary: mutt: switch to libidn2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutt
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matej Mužila
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora28-switch-to-idna2008
TreeView+ depends on / blocked
 
Reported: 2017-05-09 09:44 UTC by Nikos Mavrogiannopoulos
Modified: 2018-05-12 18:19 UTC (History)
5 users (show)

Fixed In Version: mutt-1.9.5-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-12 18:19:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Nikos Mavrogiannopoulos 2017-05-09 09:44:52 UTC
Description of problem:
Internationalized domain names exist for quite some time (IDNA2003), although the protocols describing them have evolved in an incompatible way (IDNA2008). These incompatibilities will prevent applications written for IDNA2003 to access certain problematic domain names defined with IDNA2008, e.g., faß.de is translated to domain xn--fa-hia.de with IDNA2008, while in IDNA2003 it is translated to fass.de domain. That not only causes incompatibility problems, but may be used as an attack vector to redirect users to different web sites.

The change is about deprecating libidn, which supports IDNA2003, and switch all applications using libidn, to libidn2 2.0.0, which supports IDNA2008. The switch should be transparent as the libidn2 library is API compatible. See instructions at:
https://libidn.gitlab.io/libidn2/manual/libidn2.html#Converting-from-libidn


This is part of the IDNA2008 change:
https://fedoraproject.org/wiki/Changes/IDNA2008

If upstream is not aware of that change please involve them on the process.

Comment 1 Jan Kurik 2017-08-15 08:04:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Nikos Mavrogiannopoulos 2017-11-23 08:31:21 UTC
Hi Matej,
 Has this been addressed or forwarded to upstream?

Comment 3 Matej Mužila 2018-04-09 12:59:28 UTC
(In reply to Nikos Mavrogiannopoulos from comment #2)
> Hi Matej,
>  Has this been addressed or forwarded to upstream?

Hi,

yes it was.

https://gitlab.com/muttmua/mutt/merge_requests/11

Comment 4 Nikos Mavrogiannopoulos 2018-04-09 13:42:41 UTC
Thank you!

Comment 5 Fedora Update System 2018-04-16 12:23:20 UTC
mutt-1.9.5-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a66964196c

Comment 6 Fedora Update System 2018-04-17 03:04:41 UTC
mutt-1.9.5-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a66964196c

Comment 7 Fedora Update System 2018-04-19 12:45:54 UTC
mutt-1.9.5-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-78e750b56f

Comment 8 Fedora Update System 2018-04-20 01:49:04 UTC
mutt-1.9.5-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-78e750b56f

Comment 9 Fedora Update System 2018-05-12 18:19:03 UTC
mutt-1.9.5-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.